/* OptimalSodaTaxMasterFile.do */
* This is the master file for the optimal soda tax project

*******************************************************************************
/* SETUP */
clear
set more off

/* Set directory locations */
if "`c(username)'"=="Hunt"|"`c(username)'"=="hallcott"|"`c(username)'"=="dtaubinsky" {
	cd C:/Users/`c(username)'/Documents/GitHub/OptimalSodaTax_JEP
	global Externals = "C:/Users/`c(username)'/Dropbox/OptimalSodaTax/Externals_JEP"
} 
else if inlist("`c(username)'","benlockwood","benlo") {
	cd "~/Dropbox/Research/github_repositories/github_SodaTax/"
	global Externals =  "~/Dropbox/Research/OptimalSodaTax/Externals_JEP" 
}

else if "`c(username)'" == "Andrew"{
	cd "C:/Users/Andrew/Documents/GitHub/OptimalSodaTax_JEP"
	global Externals = "C:/Users/Andrew/Dropbox/Work/OptimalSodaTax/Externals_JEP"
}

/* Set other globals */


/* PROGRAMS */
/* Data Prep */
include Code/Build/DataPrepMasterFile.do


/* Analysis */
include Code/Analysis/AnalysisMasterFile.do 

